%define oname	desktop-agnostic

%define major	0
%define libname	%mklibname %{oname} %{major}
%define devname	%mklibname %{oname} -d

Name:		libdesktop-agnostic
Version:	0.3.92
Release:	%mkrel 2
Summary:	Provides an extensible configuration API
Group:		System/Libraries
License:	GPLv2 and LGPLv2+
Url:		https://launchpad.net/%{name}
Source0:	http://launchpad.net/%{name}/0.4/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		libdesktop-agnostic-gladeui.patch
BuildRequires:	intltool
BuildRequires:	vala
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(thunar-vfs-1)
BuildRequires:	pkgconfig(gnome-desktop-2.0)

# see /etc/xdg/libdesktop-agnostic/desktop-agnostic.ini
Requires: %{name}-module-cfg-gconf = %{version}-%{release}
Requires: %{name}-module-vfs-gio = %{version}-%{release}
Requires: %{name}-module-fdo-glib = %{version}-%{release}

%description
This library provides an extensible configuration API, a unified virtual
file system API, and a desktop item editor (all with pluggable backends)
for GLib-based projects. It is not tied to any one desktop environment,
although there are desktop-specific modules.

%package -n python-%{oname}
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	pygtk2.0
Requires:	python-gobject

%description -n python-%{oname}
This package contains the Python bindings for %{name}.

%package -n %{libname}
Summary:	Library files for %{name}
Group:		System/X11
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This library provides an extensible configuration API, a unified virtual
file system API, and a desktop item editor (all with pluggable backends)
for GLib-based projects. It is not tied to any one desktop environment,
although there are desktop-specific modules.

%package -n %{devname}
Group:		Development/C
Summary:	Devel package for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This library provides an extensible configuration API, a unified virtual
file system API, and a desktop item editor (all with pluggable backends)
for GLib-based projects. It is not tied to any one desktop environment,
although there are desktop-specific modules.

This package contains the developments files and headers.

%package module-cfg-gconf
Summary:	GConf module for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-module-cfg

%description module-cfg-gconf
This package contains the GConf module for %{name}.

%package module-cfg-keyfile
Summary:	GLib GKeyFile module for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-module-cfg

%description module-cfg-keyfile
This package contains the GLib GKeyFile module for %{name}.

%package module-fdo-glib
Summary:	GLib desktop entry module for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-module-fdo

%description module-fdo-glib
This package contains the GLib desktop entry module for %{name}.

%package module-fdo-gnome
Summary:	GNOME-based desktop entry module for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-module-fdo

%description module-fdo-gnome
This package contains the GNOME-based desktop entry module for %{name}.

%package module-vfs-gio
Summary:	GIO VFS module for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-module-vfs

%description module-vfs-gio
This package contains the GIO VFS module for %{name}.

%package module-vfs-thunar
Summary:	Thunar VFS module for %{name}
Group:          System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-module-vfs

%description module-vfs-thunar
This package contains the Thunar VFS module for %{name}.

%prep
%setup -q
%patch0 -p1 -b .gladeui

%build
export CCFLAGS="%{optflags}"
export LINKFLAGS="%(echo %ldflags|sed -e 's#-Wl,--no-undefined##')"

PYTHONDIR=%{python_sitearch} ./waf configure \
	-j1 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--enable-debug \
	--config-backends=gconf,keyfile \
	--vfs-backends=gio,thunar-vfs \
	--desktop-entry-backends=glib,gnome \
	--with-glade
      
./waf build -j1

%install
DESTDIR=%{buildroot} ./waf install

find %{buildroot}%{_libdir} -name *.so -exec chmod 755 {} \;

%find_lang %{name}

%files -f %{name}.lang
%dir %{_sysconfdir}/xdg/libdesktop-agnostic/
%{_sysconfdir}/xdg/libdesktop-agnostic/*.ini
%dir %{_libdir}/desktop-agnostic/
%dir %{_libdir}/desktop-agnostic/modules/
%{_libdir}/desktop-agnostic/modules/libda-cfg-type-color.so
%{_libdir}/desktop-agnostic/modules/libda-module-guesser.so
%{_datadir}/glade/catalogs/desktop-agnostic.xml
%{_bindir}/lda-desktop-entry-editor
%{_bindir}/lda-schema-to-gconf

%files -n python-%{oname}
%{python_sitearch}/desktopagnostic

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_datadir}/pygtk/2.0/defs/desktopagnostic*.defs
%{_datadir}/vala/vapi/desktop-agnostic*.vapi
%{_datadir}/vala/vapi/desktop-agnostic*.deps
%{_libdir}/pkgconfig/desktop-agnostic.pc
%{_libdir}/*.so

%files module-cfg-gconf
%{_libdir}/desktop-agnostic/modules/libda-cfg-gconf.so

%files module-cfg-keyfile
%{_libdir}/desktop-agnostic/modules/libda-cfg-keyfile.so

%files module-fdo-glib
%{_libdir}/desktop-agnostic/modules/libda-fdo-glib.so

%files module-fdo-gnome
%{_libdir}/desktop-agnostic/modules/libda-fdo-gnome.so

%files module-vfs-gio
%{_libdir}/desktop-agnostic/modules/libda-vfs-gio.so

%files module-vfs-thunar
%{_libdir}/desktop-agnostic/modules/libda-vfs-thunar-vfs.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.92-2.mga3
+ Revision: 356969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 18 2011 wally <wally> 0.3.92-1.mga2
+ Revision: 183677
- redo .spec

  + dmorgan <dmorgan>
    - Remove buildroot
    - Libify the spec file

  + misc <misc>
    - fix directory ownership

  + gil <gil>
    - imported package libdesktop-agnostic

